# Quantum Nostradamus Attack

An implementation of the quantum nostradamus attack in python qiskit.

The algorithm was developed in the paper: 'Benedikt, B. J., Fischlin, M., Huppert, M. (2022). Nostradamus goes Quantum'. It can be found at https://ia.cr/2022/1213

## Installation 

#### Anaconda Python Distribution

see [Anaconda Install Page](https://docs.anaconda.com/anaconda/install).

#### Install Requirements
```console
$ git clone https://git.rwth-aachen.de/marc.fischlin/quantum-nostradamus.git
$ cd quantum-nostradamus
$ conda create --name <env> --file requirements.txt
```

#### Jupyter Notebook
Install Visual Studio Code extension Jupyter

or

See [Jupyter Install Page](https://jupyter.org/install).
